package com.tofly.feesapi.bmgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.bmgl.entity.BmCbb;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbFilter;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbSelect;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbSelect2;
import com.tofly.feesapi.common.core.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface BmCbbMapper extends BaseMapper<BmCbb> {

    //获取最大ID
    BigDecimal selectMaxId();

    PageDto<BmCbbSelect> getPage(PageDto pageDto, @Param("filter") BmCbbFilter filter);

    PageDto<BmCbbSelect2> getPage2(PageDto pageDto, @Param("filter") BmCbbFilter filter);

    PageDto<BmCbbSelect2> getPage3(PageDto pageDto, @Param("filter") BmCbbFilter filter);

    List<BmCbbSelect> getPage(@Param("filter") BmCbbFilter filter);

}
